# Uses of Class
org.apache.lucene.util.hnsw.NeighborQueue

Packages that use NeighborQueue
Package
Description
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util.hnsw
Navigable Small-World graph, nominally Hierarchical but currently only has a single layer.

- ## Uses of NeighborQueue in org.apache.lucene.search

  Fields in org.apache.lucene.search declared as NeighborQueue
  Modifier and Type
  Field
  Description
  `protected final NeighborQueue`
  TopKnnCollector.`queue`

- ## Uses of NeighborQueue in org.apache.lucene.util.hnsw

  Fields in org.apache.lucene.util.hnsw declared as NeighborQueue
  Modifier and Type
  Field
  Description
  `protected final NeighborQueue`
  HnswGraphSearcher.`candidates`
  Scratch data structures that are used in each `HnswGraphSearcher.searchLevel(org.apache.lucene.util.hnsw.RandomVectorScorer, int, int, int[], org.apache.lucene.util.hnsw.HnswGraph)` call.
  Constructors in org.apache.lucene.util.hnsw with parameters of type NeighborQueue
  Modifier
  Constructor
  Description
  ``
  `HnswGraphSearcher(NeighborQueue candidates, BitSet visited)`
  Creates a new graph searcher.